import React from "react";
import { IconButton } from "@material-ui/core";
import {
  Visibility as VisibilityIcon,
  VisibilityOff as VisibilityOffIcon
} from "@material-ui/icons";
import { useSensitiveInfo } from "../../hooks";

const SensitiveInfoToggle = () => {
  const { enabled, onSensitiveInfoEnabled } = useSensitiveInfo();

  const handleChange = () => onSensitiveInfoEnabled(!enabled);

  return (
    <IconButton
      aria-label="sensitive-info-toggle"
      color="inherit"
      onClick={handleChange}
    >
      {enabled ? <VisibilityOffIcon /> : <VisibilityIcon />}
    </IconButton>
  );
};

export default SensitiveInfoToggle;
