import React from "react";
import PropTypes from "prop-types";
import { Card } from "@material-ui/core";
import { makeStyles } from "@material-ui/core/styles";
import styles from "../styles";
import LoginComponent from "./LoginComponent";

const useStyles = makeStyles(styles);

const LoginCard = ({ credentials, onChange, onLogin }) => {
  const classes = useStyles();

  return (
    <div className={classes.appLogin}>
      <Card variant="outlined">
        <LoginComponent
          credentials={credentials}
          onChange={onChange}
          onLogin={onLogin}
        />
      </Card>
    </div>
  );
};

LoginCard.propTypes = {
  credentials: PropTypes.object.isRequired,
  onChange: PropTypes.func.isRequired,
  onLogin: PropTypes.func.isRequired
};

export default LoginCard;
