import React from "react";
import PropTypes from "prop-types";
import { IconButton, Tooltip } from "@material-ui/core";

const ActionButton = React.forwardRef((props, _ref) => {
  const { action, machine } = props;
  return (
    <Tooltip
      id={`machine-item-${machine.machineId}-${action.code}-tooltip`}
      title={action.tooltip}
    >
      <span>
        <IconButton
          id={`machine-item-${machine.machineId}-${action.code}`}
          size={"small"}
          onClick={action.system ? action.effect : action.effect(machine)}
        >
          <action.icon />
        </IconButton>
      </span>
    </Tooltip>
  );
});

ActionButton.propTypes = {
  machine: PropTypes.shape({
    machineId: PropTypes.number.isRequired
  }).isRequired,
  action: PropTypes.shape({
    code: PropTypes.string.isRequired,
    tooltip: PropTypes.string.isRequired,
    system: PropTypes.bool,
    effect: PropTypes.func.isRequired
  }).isRequired
};

export default ActionButton;
