import React, { useMemo } from "react";
import PropTypes from "prop-types";
import { Box } from "@material-ui/core";
import { LazyLog, ScrollFollow } from "react-lazylog";

const MachineLog = ({ logs }) => {
  const displayLogs = useMemo(
    () => (logs.length > 0 ? logs.join("\n") : "..."),
    [logs]
  );
  return (
    <Box margin={1}>
      <div style={{ height: 200 }}>
        <ScrollFollow
          startFollowing={true}
          render={({ follow, onScroll }) => (
            <LazyLog
              extraLines={0}
              enableSearch
              text={displayLogs}
              caseInsensitive
              follow={follow}
              onScroll={onScroll}
            />
          )}
        />
      </div>
    </Box>
  );
};

MachineLog.propTypes = {
  logs: PropTypes.array.isRequired
};

export default MachineLog;
