import React from "react";
import { useApplicationTheme } from "../../../providers/ThemeProvider";
import { Switch } from "@material-ui/core";

const ThemeSettings = () => {
  const { isDark, onDarkModeChanged } = useApplicationTheme();

  const handleChange = event => {
    const { checked } = event.target;
    onDarkModeChanged(checked);
  };

  return (
    <Switch
      checked={isDark}
      onChange={handleChange}
      color="primary"
      name="app-theme-switch"
    />
  );
};

export default ThemeSettings;
