import React from "react";
import PropTypes from "prop-types";
import { makeStyles } from "@material-ui/core/styles";
import style from "../styles";
import Avatar from "@material-ui/core/Avatar";
import DefaultUserProfilePicture from "../../../../assets/images/DefaultUserProfilePicture.png";

const useStyles = makeStyles(style);

const UserProfilePicture = ({ userData }) => {
  const classes = useStyles();
  const { profilePictureUrl } = userData;
  const url = profilePictureUrl ?? DefaultUserProfilePicture;
  return <Avatar src={url} alt="..." className={classes.profilePicture} />;
};

UserProfilePicture.propTypes = {
  userData: PropTypes.object.isRequired
};

export default UserProfilePicture;
