import React, { Suspense } from "react";
import ReactDOM from "react-dom";
import ThemeProvider from "./providers/ThemeProvider";
import CssBaseline from "@material-ui/core/CssBaseline";
import App from "./components/App";
import { TuitioProvider } from "@flare/tuitio-client-react";
import ToastProvider from "./providers/ToastProvider";
import SensitiveInfoProvider from "./providers/SensitiveInfoProvider";
import "./utils/i18n";

ReactDOM.render(
  <TuitioProvider tuitioUrl={process.env.REACT_APP_TUITIO_URL}>
    <ThemeProvider>
      <CssBaseline />
      <SensitiveInfoProvider>
        <Suspense fallback={<div>Loading...</div>}>
          <ToastProvider>
            <App />
          </ToastProvider>
        </Suspense>
      </SensitiveInfoProvider>
    </ThemeProvider>
  </TuitioProvider>,
  document.getElementById("root")
);
